## soapyairspyhf 0.2.0

=== CMakeLists.txt ===
###################################################
# Build Soapy SDR support module for Airspy Devices
###################################################

cmake_minimum_required(VERSION 2.8.7)

project(SoapyAirspyHF CXX)

find_package(SoapySDR "0.4.0" NO_MODULE REQUIRED)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

find_package(LibAIRSPYHF)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${LIBAIRSPYHF_INCLUDE_DIRS})

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)
    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()
    #Thread support enabled (not the same as -lpthread)
    list(APPEND AIRSPYHF_LIBS -pthread)
    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)
endif(CMAKE_COMPILER_IS_GNUCXX)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
endif(APPLE)

# IF (APPLE)
#  ADD_DEFINITIONS(
#    -D__MACOSX_CORE__
#  )
# FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
#SET (AIRSPYHF_LIBS ${COREFOUNDATION_LIBRARY} ${AIRSPYHF_LIBS} )
# ENDIF (APPLE)

list(APPEND AIRSPYHF_LIBS ${LIBAIRSPYHF_LIBRARIES})

SOAPY_SDR_MODULE_UTIL(
    TARGET airspyhfSupport
    SOURCES
    	SoapyAirspyHF.hpp
        Registration.cpp
        Settings.cpp
        Streaming.cpp
    LIBRARIES
    ${AIRSPYHF_LIBS}
)

########################################################################
# uninstall target
########################################################################
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

=== debian/changelog ===
soapyairspyhf (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #964806)

 -- Andreas Bombe <aeb@debian.org>  Fri, 11 Jul 2025 23:36:14 +0200

=== debian/control ===
Source: soapyairspyhf
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libsoapysdr0.8-dev,
    libairspyhf-dev
Standards-Version: 4.7.2
Homepage: https://github.com/pothosware/SoapyAirspyHF/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspyhf
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspyhf.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-airspyhf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: AirspyHF device support for SoapySDR
 The Soapy AirspyHF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of AirspyHF devices.

Package: soapysdr-module-airspyhf
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-airspyhf, ${misc:Depends}
Description: AirspyHF device support for SoapySDR (default version)
 The Soapy AirspyHF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of AirspyHF devices.
 .
 This is an empty dependency package that pulls in the AirspyHF module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.8-module-airspyhf

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyAirspyHF/tags .*/soapy-airspyhf-([\d\.]+)\.tar\.(?:xz|gz|bz2)
